gnet_stats_copy_basic
Prev | Generic Network Statistics | Next

## Name

gnet_stats_copy_basic — copy basic statistics into statistic TLV

## Synopsis

`int gnet_stats_copy_basic (` | struct gnet_dump * | d,
| struct gnet_stats_basic * | b`)`;

## Arguments

`d`

  dumping handle

`b`

  basic statistics

## Description

Appends the basic statistics to the top level TLV created by `gnet_stats_start_copy`.

Returns 0 on success or -1 with the statistic lock released if the room in the socket buffer was not sufficient.

Prev | Up | Next
gnet_stats_start_copy | Home | gnet_stats_copy_rate_est